Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing.v200408
Class EndpointReferenceType

    java.lang.Object
      org.apache.cxf.ws.addressing.v200408.EndpointReferenceType

    public class EndpointReferenceType

extends java.lang.Object

Java class for EndpointReferenceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EndpointReferenceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Address" type="{http://schemas.xmlsoap.org/ws/2004/08/addressing}AttributedURI"/>
             <element name="ReferenceProperties" type="{http://schemas.xmlsoap.org/ws/2004/08/addressing}ReferencePropertiesType" minOccurs="0"/>
             <element name="ReferenceParameters" type="{http://schemas.xmlsoap.org/ws/2004/08/addressing}ReferenceParametersType" minOccurs="0"/>
             <element name="PortType" type="{http://schemas.xmlsoap.org/ws/2004/08/addressing}AttributedQName" minOccurs="0"/>
             <element name="ServiceName" type="{http://schemas.xmlsoap.org/ws/2004/08/addressing}ServiceNameType" minOccurs="0"/>
             <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <anyAttribute processContents='lax' namespace='##other'/>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected AttributedURI` | `address`
`protected java.util.List<java.lang.Object>` | `any`
`protected AttributedQName` | `portType`
`protected ReferenceParametersType` | `referenceParameters`
`protected ReferencePropertiesType` | `referenceProperties`
`protected ServiceNameType` | `serviceName`

Constructor Summary
`EndpointReferenceType()`

Method Summary
`AttributedURI` | `getAddress()` Gets the value of the address property.
`java.util.List<java.lang.Object>` | `getAny()` Gets the value of the any property.
`java.util.Map<javax.xml.namespace.QName,java.lang.String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`AttributedQName` | `getPortType()` Gets the value of the portType property.
`ReferenceParametersType` | `getReferenceParameters()` Gets the value of the referenceParameters property.
`ReferencePropertiesType` | `getReferenceProperties()` Gets the value of the referenceProperties property.
`ServiceNameType` | `getServiceName()` Gets the value of the serviceName property.
`void` | `setAddress(AttributedURI value)` Sets the value of the address property.
`void` | `setPortType(AttributedQName value)` Sets the value of the portType property.
`void` | `setReferenceParameters(ReferenceParametersType value)` Sets the value of the referenceParameters property.
`void` | `setReferenceProperties(ReferencePropertiesType value)` Sets the value of the referenceProperties property.
`void` | `setServiceName(ServiceNameType value)` Sets the value of the serviceName property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    protected AttributedURI address

### referenceProperties

    protected ReferencePropertiesType referenceProperties

### referenceParameters

    protected ReferenceParametersType referenceParameters

### portType

    protected AttributedQName portType

### serviceName

    protected ServiceNameType serviceName

### any

    protected java.util.List<java.lang.Object> any

Constructor Detail

### EndpointReferenceType

    public EndpointReferenceType()

Method Detail

### getAddress

    public AttributedURI getAddress()

  Gets the value of the address property.

  Returns:
    possible object is `AttributedURI`

### setAddress

    public void setAddress(AttributedURI value)

  Sets the value of the address property.

  Parameters:
    `value` - allowed object is `AttributedURI`

### getReferenceProperties

    public ReferencePropertiesType getReferenceProperties()

  Gets the value of the referenceProperties property.

  Returns:
    possible object is `ReferencePropertiesType`

### setReferenceProperties

    public void setReferenceProperties(ReferencePropertiesType value)

  Sets the value of the referenceProperties property.

  Parameters:
    `value` - allowed object is `ReferencePropertiesType`

### getReferenceParameters

    public ReferenceParametersType getReferenceParameters()

  Gets the value of the referenceParameters property.

  Returns:
    possible object is `ReferenceParametersType`

### setReferenceParameters

    public void setReferenceParameters(ReferenceParametersType value)

  Sets the value of the referenceParameters property.

  Parameters:
    `value` - allowed object is `ReferenceParametersType`

### getPortType

    public AttributedQName getPortType()

  Gets the value of the portType property.

  Returns:
    possible object is `AttributedQName`

### setPortType

    public void setPortType(AttributedQName value)

  Sets the value of the portType property.

  Parameters:
    `value` - allowed object is `AttributedQName`

### getServiceName

    public ServiceNameType getServiceName()

  Gets the value of the serviceName property.

  Returns:
    possible object is `ServiceNameType`

### setServiceName

    public void setServiceName(ServiceNameType value)

  Sets the value of the serviceName property.

  Parameters:
    `value` - allowed object is `ServiceNameType`

### getAny

    public java.util.List<java.lang.Object> getAny()

  Gets the value of the any property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

  For example, to add a new item, do as follows:

          getAny().add(newItem);

  Objects of the following type(s) are allowed in the list `Element` `Object`

### getOtherAttributes

    public java.util.Map<javax.xml.namespace.QName,java.lang.String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF